<?php

include('includes/hlava.php');
title('Klub priateľov fotografie', '');

if ($link) {
  if ($db_selected) {
  
include('includes/vedla.php');
odkaz('');
include('includes/menu.php');
menu('','');
?>
        <div class="obsah">     
                  
          <h2><em>Registracia</em></h2>
  
<?php
    $sql = "SELECT A.heslo FROM kpf_author A WHERE A.aid='1';";
    $result = mysql_query($sql, $link);
    if($result){$row = mysql_fetch_assoc($result);
    $b = $row['heslo'];
    }


   if ($_SESSION['aid'] == 1){
     $zobraz = true;
   }
   else {
     $zobraz = false;
   }
   
if ($zobraz) { 

if (isset($_POST["submit"])){
  if (isset($_POST["meno"]) && ($_POST["meno"] != "") &&
      isset($_POST["priezvisko"]) && ($_POST["priezvisko"] != "") &&
      isset($_POST["login"]) && ($_POST["login"] != "") &&
      isset($_POST["heslo"]) && ($_POST["heslo"] != "") &&
      isset($_POST["email"]) && ($_POST["email"] != "") &&
      isset($_POST["admin"]) && (md5($_POST["admin"]) == $b)){
          $sql = "INSERT INTO kpf_author (aid, login, heslo, meno, priezvisko, mail) VALUES (NULL, '" . $_POST["login"] . "', '" . md5($_POST["heslo"]) . "', '" . $_POST["meno"] . "', '" . $_POST["priezvisko"] . "', '" . $_POST["email"] . "');";
          $result = mysql_query($sql, $link);
          if ($result) {
            $oslovenie = $meno . ' ' . $priezvisko;
            $od = 'jan.duriga@gmail.com';
            $prijemca = $_POST['email'];
            mail("$prijemca", "REGISTRACIA NA KLUBOVU STRANKU", 
                 "Dobry den. \nBoli ste uspesne zaregistrovany(a) na stranku http://sedf-klub.sk. \nVas login: ".$_POST['login']." \nVase heslo: ".$_POST['heslo']."\n\nNakolko sa mi este nepodarilo urobit omedzenia na pocet vlozenych fotiek za tyzden ani obmedzenia hodnotenia, prosim Vas o dodrzanie nasej dohody. Kazdy moze vkladat za tyzden (od pondelka do nedele) maximalne 5 fotografii v rozliseni maximalne 800x800 pixelov s velkostou maximalne 150KB vo formate JPG. Tak isto kazdy moze hodnotit ktoru kolvek fotku, ale body moze pridat len raz a svojej fotke ani raz. Je dolezite tieto pravidla dodrzat. Preto, kto prekroci tyzdenny limit, alebo bude bodovat svoju fotku pripadne viac krat hociaku inu fotografiu, bude mat zrusene konto na nejaky cas.\nMozno je to detinske, ale treba mat pravidla a treba ich dodrziavat. Za nejaky cas bude robit tuto kontrolu stranka sama a tie veci vobec nepripusti, ale dovtedy to kontrolujem ja. Ked najdem niekoho, kto tieto obmedzenia porusi, nebude moct vkladat fotky ani hodnotit ostatne 1 mesiac.\nStranka je funkcna aj v Internet Exploreri aj vo Firefox Mozille ale (zatial) je krajsia vo Firefox Mozille:)\nV pripade akych kolvek otazok alebo pripomienok mi mozete napisat na mail jan.duriga@gmail.com\nPrajem dobre svetlo a vela krasnych fotiek.\nJano Duriga", "from: $od");
            
            mail("$od", "REGISTRACIA NA KLUBOVU STRANKU", 
                 "Meno: ".$_POST['meno']." \nPriezvisko: ".$_POST['priezvisko']."\nLogin: ".$_POST['login']." \nHeslo: ".$_POST['heslo']."\n", "from: $od");     
            header("Location: index.php");
          } else echo '<p>Pri zapise problem.</p>';  
  } else echo '<p>Nebolo vsetko zadane.</p>';
}
?>          
          
              <form class="login" action="<?php echo $_SERVER['REQUEST_URI']; ?>" method="post">
                    <p class="form">
                      <em class="bold">Krstné meno</em><input name="meno" id="meno" size="15" type="text"/><br />
                    <em class="bold">Priezvisko</em>
                    <input name="priezvisko" id="priezvisko" size="15" type="text"/><br />
                    <em class="bold">Login</em>
                    <input name="login" id="login" size="15" type="text"/><br />
                    <em class="bold">Heslo</em>
                    <input name="heslo" id="heslo" size="15" type="password"/><br />
                    <em class="bold">Heslo admina</em>
                    <input name="admin" id="admin" size="15" type="password"/><br />
                    <em class="bold">E-mail</em>
                    <input name="email" id="email" size="15" type="text"/><br /></p>
                    <input class="ok" name="submit" type="submit" id="submit" value="registrovať"/>
              </form>
<?php
}
else {
  echo '<p>nie si admin, registrovat nemozes!</p>';
}

        		}   
	   mysql_close($link);   
 
	}
include('includes/pata.php'); 
?>
